%global __provides_exclude_from ^%{_libdir}/pantheon-photos/.*\\.so$

Name:           pantheon-photos
Summary:        Pantheon photo manager and viewer
Version:        0.2.4
Release:        1%{?dist}
License:        LGPLv2+

URL:            https://github.com/elementary/photos
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(geocode-glib-1.0) 
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:  pkgconfig(gudev-1.0) >= 145
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libgphoto2) >= 2.4.2
BuildRequires:  pkgconfig(libexif) >= 0.6.16
BuildRequires:  pkgconfig(libraw) >= 0.13.2
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.26.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.32
BuildRequires:  pkgconfig(rest-0.7) >= 0.7
BuildRequires:  pkgconfig(sqlite3) >= 3.5.9
BuildRequires:  pkgconfig(unity) >= 4.0.0
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.0.0

Requires:       hicolor-icon-theme


%description
The elementary continuation of Shotwell, originally written by Yorba
Foundation.


%prep
%autosetup -n photos-%{version}


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang pantheon-photos

# move appdata to "correct" location on fedora
mv %{buildroot}/%{_datadir}/metainfo %{buildroot}/%{_datadir}/appdata


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pantheon.photos.desktop

desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pantheon.photos-viewer.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/appdata/org.pantheon.photos.appdata.xml


%files -f pantheon-photos.lang
%doc AUTHORS README.md THANKS
%license COPYING

%{_bindir}/pantheon-photos

%{_libdir}/pantheon-photos/

%{_libexecdir}/pantheon-photos/

%{_datadir}/appdata/org.pantheon.photos.appdata.xml
%{_datadir}/applications/org.pantheon.photos.desktop
%{_datadir}/applications/org.pantheon.photos-viewer.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/pantheon-photos/


%changelog
* Fri Jul 28 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Update to version 0.2.4.

* Wed May 03 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Update to version 0.2.3.

* Mon Mar 20 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-1
- Update to version 0.2.2.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 29 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-4
- Rename icon to match .desktop file.

* Thu Jan 26 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-3
- Fix license Tag: LGPLv2+.
- Unmark README as executable.
- Unmark vala source files as executable.
- Add patch to move executable from /usr/share into libexec.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-2
- Include icons to fix appstream metadata generation.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-1
- Update to version 0.2.1.1.

* Sat Dec 24 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-5
- Enable libunity support.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-4
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-3
- Spec file cleanups.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-2
- Spec file cosmetics.

* Thu Aug 11 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-1
- Update to version 0.2.


